geomatch(1)

NAME
geomatch - Check whether the geometries (e.g., grid dimensions, pixel sizes, spatial coordinates) or two or more images match.

SYNOPSIS
geomatch ImagePaths

DESCRIPTION
This tool reads two or more images and tests whether their grid dimensions, pixel sizes, and image-to-space transformations match. Optionally, all images are reoriented into standard orientation before performing the test. If all images match, the tool returns with exit code 0, otherwise it returns with exit code 2. In case of an error (e.g., one of the images can not be read), the exit code is 1.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Input Options

--read-ras
    Read all images in RAS orientation

  Image Comparison Options

--no-check-xforms
    Do not check transformation matrices.

--no-check-pixels
    Do not check pixelsizes.

--tolerance <double>
    Numerical tolerance for floating point comparisons of transformation matrices. [Default: 1e-06]

--tolerance-xlate <double>
    Numerical tolerance for floating point comparisons of the translational components of the transformation matrices. [Default: 0.001]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.